librelist archives

« back to archive

Installation Problems on Ubuntu 11.10

Installation Problems on Ubuntu 11.10

From:
Adam Dalton
Date:
2012-07-12 @ 15:23
I'm trying to follow along with the linux installation instructions on 
https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux

But when I run
sudo apt-get install git-core libcairo2-dev libpixman-1-dev 
libpango1.0-dev libgif-dev libjpeg-dev libgtk2.0-dev vlc libvlc-dev 
portaudio19-dev libsqlite3-dev libcurl4-openssl-dev libxslt1-dev makeself 
curl libxslt-dev libxml2-dev libcurl4-gnutls-dev

I get that the following packages have unmet dependencies:
libcurl4-gnutls-dev : Conflict: libcurl-dev
libcurl4-openssl-dev : Conflict: libcurl-dev

Some googling shows that these should be functionally equivalent, but when
I attempt to build shoes via rake I get

No such file or directory - curl-config --cflags

I saw another thread (http://www.ruby-forum.com/topic/3956839) where 
someone ran into the same issue, but it's not clear how they resolved it.

adalton@ubuntu:~/code/shoes$ rake --trace
rake aborted!
No such file or directory - curl-config --cflags
/home/adalton/code/shoes/make/linux/env.rb:45:in ``'
/home/adalton/code/shoes/make/linux/env.rb:45:in `<top (required)>'

/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'

/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'
/home/adalton/code/shoes/rakefile_linux.rb:1:in `<top (required)>'

/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'

/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'
/home/adalton/code/shoes/Rakefile:124:in `<top (required)>'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
`load'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
`load_rakefile'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:501:in
`raw_load_rakefile'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:82:in
`block in load_rakefile'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
`standard_exception_handling'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:81:in
`load_rakefile'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:65:in
`block in run'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
`standard_exception_handling'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in
`run'

/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in
`<top (required)>'
/home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `load'
/home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `<main>'

Thanks in advance for any help!

Re: [shoes] Installation Problems on Ubuntu 11.10

From:
James Gifford
Date:
2012-07-12 @ 15:29
Confirmed on Ubuntu 12.04. I'm not entirely sure what is going on here...
--
James Gifford


On Thu, Jul 12, 2012 at 11:23 AM, Adam Dalton <adalton@ihmc.us> wrote:
> I'm trying to follow along with the linux installation instructions on
> https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux
>
> But when I run
>
> sudo apt-get install git-core libcairo2-dev libpixman-1-dev libpango1.0-dev
> libgif-dev libjpeg-dev libgtk2.0-dev vlc libvlc-dev portaudio19-dev
> libsqlite3-dev libcurl4-openssl-dev libxslt1-dev makeself curl libxslt-dev
> libxml2-dev libcurl4-gnutls-dev
>
>
> I get that the following packages have unmet dependencies:
> libcurl4-gnutls-dev : Conflict: libcurl-dev
> libcurl4-openssl-dev : Conflict: libcurl-dev
>
> Some googling shows that these should be functionally equivalent, but when I
> attempt to build shoes via rake I get
> < div>
> No such file or directory - curl-config --cflags
>
> I saw another thread (http://www.ruby-forum.com/topic/3956839) where someone
> ran into the same issue, but it's not clear how they resolved it.
>
> adalton@ubuntu:~/code/shoes$ rake --trace
> rake aborted!
> No such file or directory - curl-config --cflags
> /home/adalton/code/shoes/make/linux/env.rb:45:in ``'
> /home/adalton/code/shoes/make/linux/env.rb:45:in `<top (required)>'
> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> `require'
> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> `require'
> /home/adalton/code/shoes/rakefile_linux.rb:1:in `<top (required)>'
> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> `require'
> /home/adalto
> 
n/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> `require'
> /home/adalton/code/shoes/Rakefile:124:in `<top (required)>'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
> `load'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
> `load_rakefile'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:501:in
> `raw_load_rakefile'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:82:in
> `block in load_rakefile'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
> `standard_exception_handling'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:81:in
> `load_rakefile'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:65:in
> `block in run'
> /h
> 
ome/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
> `standard_exception_handling'
> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in
> `run'
> /home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in
> `<top (required)>'
> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `load'
> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `<main>'
>
> Thanks in advance for any help!

Re: [shoes] Installation Problems on Ubuntu 11.10

From:
Tobias Pfeiffer
Date:
2012-07-12 @ 17:42
Conflict also confirmed on Linux Mint Debian Edition...

I don't believe that these conflicts have been there before...
Interestingly enough I can build shoes from the current develop either 
way - so without libcurl4-gnutls-dev and libcurl4-openssl-dev

So maybe some of the new instructions are wrong? Have you tried the 
installation instructions for Debian (since Ubuntu is Debian based)

Cheers,
Tobi

On 07/12/2012 05:29 PM, James Gifford wrote:
> Confirmed on Ubuntu 12.04. I'm not entirely sure what is going on here...
> --
> James Gifford
>
>
> On Thu, Jul 12, 2012 at 11:23 AM, Adam Dalton<adalton@ihmc.us>  wrote:
>> I'm trying to follow along with the linux installation instructions on
>> https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux
>>
>> But when I run
>>
>> sudo apt-get install git-core libcairo2-dev libpixman-1-dev libpango1.0-dev
>> libgif-dev libjpeg-dev libgtk2.0-dev vlc libvlc-dev portaudio19-dev
>> libsqlite3-dev libcurl4-openssl-dev libxslt1-dev makeself curl libxslt-dev
>> libxml2-dev libcurl4-gnutls-dev
>>
>>
>> I get that the following packages have unmet dependencies:
>> libcurl4-gnutls-dev : Conflict: libcurl-dev
>> libcurl4-openssl-dev : Conflict: libcurl-dev
>>
>> Some googling shows that these should be functionally equivalent, but when I
>> attempt to build shoes via rake I get
>> <  div>
>> No such file or directory - curl-config --cflags
>>
>> I saw another thread (http://www.ruby-forum.com/topic/3956839) where someone
>> ran into the same issue, but it's not clear how they resolved it.
>>
>> adalton@ubuntu:~/code/shoes$ rake --trace
>> rake aborted!
>> No such file or directory - curl-config --cflags
>> /home/adalton/code/shoes/make/linux/env.rb:45:in ``'
>> /home/adalton/code/shoes/make/linux/env.rb:45:in `<top (required)>'
>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>> `require'
>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>> `require'
>> /home/adalton/code/shoes/rakefile_linux.rb:1:in `<top (required)>'
>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>> `require'
>> /home/adalto
>> 
n/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>> `require'
>> /home/adalton/code/shoes/Rakefile:124:in `<top (required)>'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
>> `load'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
>> `load_rakefile'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:501:in
>> `raw_load_rakefile'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:82:in
>> `block in load_rakefile'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
>> `standard_exception_handling'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:81:in
>> `load_rakefile'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:65:in
>> `block in run'
>> /h
>> 
ome/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
>> `standard_exception_handling'
>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in
>> `run'
>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in
>> `<top (required)>'
>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `load'
>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `<main>'
>>
>> Thanks in advance for any help!

Re: [shoes] Installation Problems on Ubuntu 11.10

From:
James Gifford
Date:
2012-07-12 @ 16:00
Ok, time to update those instructions then. Thanks Adam for telling us about it.
--
James Gifford


On Thu, Jul 12, 2012 at 11:58 AM, Adam Dalton <adalton@ihmc.us> wrote:
> I honestly thought I had tried that (using debian instructions).. but it worked!
>
> Thanks for the suggestion.
>
>
> On Jul 12, 2012, at 1:42 PM, Tobias Pfeiffer wrote:
>
>> Conflict also confirmed on Linux Mint Debian Edition...
>>
>> I don't believe that these conflicts have been there before...
>> Interestingly enough I can build shoes from the current develop either
>> way - so without libcurl4-gnutls-dev and libcurl4-openssl-dev
>>
>> So maybe some of the new instructions are wrong? Have you tried the
>> installation instructions for Debian (since Ubuntu is Debian based)
>>
>> Cheers,
>> Tobi
>>
>> On 07/12/2012 05:29 PM, James Gifford wrote:
>>> Confirmed on Ubuntu 12.04. I'm not entirely sure what is going on here...
>>> --
>>> James Gifford
>>>
>>>
>>> On Thu, Jul 12, 2012 at 11:23 AM, Adam Dalton<adalton@ihmc.us>  wrote:
>>>> I'm trying to follow along with the linux installation instructions on
>>>> https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux
>>>>
>>>> But when I run
>>>>
>>>> sudo apt-get install git-core libcairo2-dev libpixman-1-dev libpango1.0-dev
>>>> libgif-dev libjpeg-dev libgtk2.0-dev vlc libvlc-dev portaudio19-dev
>>>> libsqlite3-dev libcurl4-openssl-dev libxslt1-dev makeself curl libxslt-dev
>>>> libxml2-dev libcurl4-gnutls-dev
>>>>
>>>>
>>>> I get that the following packages have unmet dependencies:
>>>> libcurl4-gnutls-dev : Conflict: libcurl-dev
>>>> libcurl4-openssl-dev : Conflict: libcurl-dev
>>>>
>>>> Some googling shows that these should be functionally equivalent, but when I
>>>> attempt to build shoes via rake I get
>>>> <  div>
>>>> No such file or directory - curl-config --cflags
>>>>
>>>> I saw another thread (http://www.ruby-forum.com/topic/3956839) where someone
>>>> ran into the same issue, but it's not clear how they resolved it.
>>>>
>>>> adalton@ubuntu:~/code/shoes$ rake --trace
>>>> rake aborted!
>>>> No such file or directory - curl-config --cflags
>>>> /home/adalton/code/shoes/make/linux/env.rb:45:in ``'
>>>> /home/adalton/code/shoes/make/linux/env.rb:45:in `<top (required)>'
>>>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>>> `require'
>>>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>>> `require'
>>>> /home/adalton/code/shoes/rakefile_linux.rb:1:in `<top (required)>'
>>>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>>> `require'
>>>> /home/adalto
>>>> 
n/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>>> `require'
>>>> /home/adalton/code/shoes/Rakefile:124:in `<top (required)>'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
>>>> `load'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
>>>> `load_rakefile'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:501:in
>>>> `raw_load_rakefile'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:82:in
>>>> `block in load_rakefile'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
>>>> `standard_exception_handling'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:81:in
>>>> `load_rakefile'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:65:in
>>>> `block in run'
>>>> /h
>>>> 
ome/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
>>>> `standard_exception_handling'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in
>>>> `run'
>>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in
>>>> `<top (required)>'
>>>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `load'
>>>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `<main>'
>>>>
>>>> Thanks in advance for any help!
>>
>
>

Re: [shoes] Installation Problems on Ubuntu 11.10

From:
Adam Dalton
Date:
2012-07-12 @ 15:58
I honestly thought I had tried that (using debian instructions).. but it worked!

Thanks for the suggestion.


On Jul 12, 2012, at 1:42 PM, Tobias Pfeiffer wrote:

> Conflict also confirmed on Linux Mint Debian Edition...
> 
> I don't believe that these conflicts have been there before...
> Interestingly enough I can build shoes from the current develop either 
> way - so without libcurl4-gnutls-dev and libcurl4-openssl-dev
> 
> So maybe some of the new instructions are wrong? Have you tried the 
> installation instructions for Debian (since Ubuntu is Debian based)
> 
> Cheers,
> Tobi
> 
> On 07/12/2012 05:29 PM, James Gifford wrote:
>> Confirmed on Ubuntu 12.04. I'm not entirely sure what is going on here...
>> --
>> James Gifford
>> 
>> 
>> On Thu, Jul 12, 2012 at 11:23 AM, Adam Dalton<adalton@ihmc.us>  wrote:
>>> I'm trying to follow along with the linux installation instructions on
>>> https://github.com/shoes/shoes/wiki/Building-Shoes-on-Linux
>>> 
>>> But when I run
>>> 
>>> sudo apt-get install git-core libcairo2-dev libpixman-1-dev libpango1.0-dev
>>> libgif-dev libjpeg-dev libgtk2.0-dev vlc libvlc-dev portaudio19-dev
>>> libsqlite3-dev libcurl4-openssl-dev libxslt1-dev makeself curl libxslt-dev
>>> libxml2-dev libcurl4-gnutls-dev
>>> 
>>> 
>>> I get that the following packages have unmet dependencies:
>>> libcurl4-gnutls-dev : Conflict: libcurl-dev
>>> libcurl4-openssl-dev : Conflict: libcurl-dev
>>> 
>>> Some googling shows that these should be functionally equivalent, but when I
>>> attempt to build shoes via rake I get
>>> <  div>
>>> No such file or directory - curl-config --cflags
>>> 
>>> I saw another thread (http://www.ruby-forum.com/topic/3956839) where someone
>>> ran into the same issue, but it's not clear how they resolved it.
>>> 
>>> adalton@ubuntu:~/code/shoes$ rake --trace
>>> rake aborted!
>>> No such file or directory - curl-config --cflags
>>> /home/adalton/code/shoes/make/linux/env.rb:45:in ``'
>>> /home/adalton/code/shoes/make/linux/env.rb:45:in `<top (required)>'
>>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>> `require'
>>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>> `require'
>>> /home/adalton/code/shoes/rakefile_linux.rb:1:in `<top (required)>'
>>> 
/home/adalton/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>> `require'
>>> /home/adalto
>>> 
n/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
>>> `require'
>>> /home/adalton/code/shoes/Rakefile:124:in `<top (required)>'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
>>> `load'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb:25:in
>>> `load_rakefile'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:501:in
>>> `raw_load_rakefile'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:82:in
>>> `block in load_rakefile'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
>>> `standard_exception_handling'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:81:in
>>> `load_rakefile'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:65:in
>>> `block in run'
>>> /h
>>> 
ome/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
>>> `standard_exception_handling'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in
>>> `run'
>>> 
/home/adalton/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in
>>> `<top (required)>'
>>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `load'
>>> /home/adalton/.rvm/gems/ruby-1.9.3-p194@shoes/bin/rake:23:in `<main>'
>>> 
>>> Thanks in advance for any help!
>